function [Fe] = paretodist(xi,z)

Nz=length(z);
%Potential entrants have a pareto distribution
q_u=z(1); % Scale parameter

Fe(1,1)=1-(q_u/(z(1)+(z(2)-z(1))/2))^xi;
Fe(Nz,1)=(q_u/(z(Nz)-(z(Nz)-z(Nz-1))/2))^xi;
for iz=2:Nz-1
    Fe(iz,1)=(q_u/(z(iz)-(z(iz)-z(iz-1))/2))^xi-(q_u/(z(iz)+(z(iz+1)-z(iz))/2))^xi;
end